### admin手动编译打包步骤

- 清空旧版本
```
rm -r  ./charge-java/admin/src/main/resources/static
```
- 编译前端
```
cd   ./charge-java/admin-web
npm install 
npm run build
```
- 编译后端
```
cd  ./charge-java/admin
mvn clean package -DskipTests
```


### miniapp手动编译打包步骤
```
cd  ./charge-java/miniapp
mvn clean package -DskipTests
```


### docker启动脚本
```
##jenkins
docker run  -u 1001 --name jenkins -d -p 8099:8080 -p 50099:50000 -v /home/kym/jenkins1:/var/jenkins_home  jenkins/jenkins:jdk17-preview

##mysql
 docker run -u 1000  -p 3306:3306 --name mymysql  \
-v /usr/local/docker/mysql/mysql-files:/var/lib/mysql-files \
-v  /usr/local/docker/mysql/conf/my.cnf:/etc/mysql/my.cnf \
 -v  /usr/local/docker/mysql/logs:/var/log/mysql \
 -v /usr/local/docker/mysql/data:/var/lib/mysql  \
-d mysql

##redis
docker run -u 1000 -p 6379:6379 --name myredis \
-v /home/redis/myredis/redis.conf:/etc/redis/redis.conf \
-v /home/redis/myredis/data:/data \
-d redis redis-server /etc/redis/redis.conf \
--appendonly yes 
```